EDIT - feature request #8471

Computed descriptions should be disabled in TaxEditor
08/16/2019 12:35 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

Taxon descriptions being computed (DescriptionBase.types contains COMPUTED or AGGREGATED) should be disabled for editing

in TaxEditor.

This may also count for other DescriptionTypes like "Clone for Source" but not for all (e.g. "Secondary data" or "Default values for

Aggregation" might be editable in general - or configurable for the project)

Also the types should be somehow shown in the Ul (as part of the shown label, with an icon, or any other solution)

Related issues:

Related to EDIT - bug #9631: New implementation for disable details/supplemen...
Related to EDIT - bug #9630: Make the handling of computed description config...
Follows EDIT - feature request #7957: Add types for taxon description (as Enu...

New
Closed
Closed

Associated revisions

Revision 0858¢c777 - 05/11/2021 03:02 PM - Katja Luther

ref #8471: disable computed descriptions

Revision cc21d978 - 05/11/2021 03:06 PM - Katja Luther

ref #8471: disable computed descriptions - supplemental data

Revision d43e5395 - 05/12/2021 08:37 AM - Katja Luther

ref #8471: adapt label provider to show icon for computed descriptions and gray font

Revision c6dfiael - 05/18/2021 09:48 AM - Katja Luther

ref #8471: allow delete again and disable description parts

Revision e297472a - 05/18/2021 12:01 PM - Katja Luther

ref #8471: set details view disabled for computed descriptions and remove unnecessary code

Revision 4cf3f92d - 05/18/2021 12:14 PM - Katja Luther
ref #8471: disable toggle button in details view

Revision 570e1cf4 - 05/18/2021 01:24 PM - Katja Luther
ref #8471: always disable type field

History

#1 - 08/16/2019 12:36 PM - Andreas Miiller

- Due date set to 12/18/2018

- Start date changed from 08/16/2019 to 12/18/2018

- Follows feature request #7957: Add types for taxon description (as EnumSet) added

#2 - 08/16/2019 12:36 PM - Andreas Miuller
- Due date deleted (12/18/2018)
#3 - 08/16/2019 12:36 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.10

#4 - 08/16/2019 01:13 PM - Andreas Miiller

- Description updated

#5 - 09/18/2019 02:17 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11

#6 - 11/05/2019 01:22 PM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

#7 - 12/17/2019 03:57 PM - Andreas Miiller
- Tags set to additivity, euro+med, transmission-engine-distribution
- Assignee changed from Patrick Plitzner to Katja Luther

- Priority changed from New to Highest

#8 - 12/18/2019 04:38 PM - Andreas Kohlbecker

| find it very useful for debugging that computed descriptions can be viewed and modified in the editor. Can't we allow this by introducing a
"Developer" mode in which the computed descriptions are not hidden or set to read only?

#9 - 12/19/2019 02:28 PM - Andreas Miiller

Andreas Kohlbecker wrote:

| find it very useful for debugging that computed descriptions can be viewed and modified in the editor. Can't we allow this by introducing a
"Developer" mode in which the computed descriptions are not hidden or set to read only?

This ticket is not meant to completely make the computed descriptions invisible. By default they should only be disabled for editing. But ofcourse it
might be even better if this can be made configurable (e.g. 3 states: editable, disabled for editing, invisible) with default to disabled for editing.
| think this should meat your requirments?

#10 - 12/19/2019 02:59 PM - Andreas Kohlbecker
Andreas Miller wrote:
Andreas Kohlbecker wrote:
| find it very useful for debugging that computed descriptions can be viewed and modified in the editor. Can't we allow this by introducing a

"Developer" mode in which the computed descriptions are not hidden or set to read only?

This ticket is not meant to completely make the computed descriptions invisible. By default they should only be disabled for editing. But ofcourse
it might be even better if this can be made configurable (e.g. 3 states: editable, disabled for editing, invisible) with default to disabled for editing.
| think this should meat your requirments?

This would be the perfect solution!

#11 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#12 - 03/09/2020 04:34 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#13 - 03/31/2020 11:15 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#14 - 04/01/2020 01:52 PM - Katja Luther

| did some research but it seems to be a little bit more complex because this needs to be implemented by a mouseListener (see for example
https://www.eclipse.org/forums/index.php/t/103773/), therefore we keep the ticket in 5.15

#15 - 06/23/2020 01:51 PM - Andreas Miiller
- Target version changed from Release 5.15 to Release 5.18

#16 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#17 - 01/27/2021 04:13 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#18 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#19 - 04/19/2021 05:42 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#20 - 05/12/2021 08:22 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review.

#21 - 05/12/2021 08:30 AM - Katja Luther
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Muiller to Katja Luther

#22 - 05/12/2021 08:46 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

Missed to check in the label provider, please review now. There is still a missing issue, the details of the description are not disabled. But the facts
and the menu are disabled (only create new factual data set is available)

#23 - 05/12/2021 05:38 PM - Andreas Miiller

The preferences to make the aggregated data either disabled, invisible or enabled is still missing, correct?
Should we create a new ticket for this?

#24 - 05/12/2021 05:39 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The description itself is not yet disabled in details view (but it is in suppl data view). This needs to be fixed.

#25 - 05/12/2021 05:42 PM - Andreas Miiller

The "Types" field for ordinary descriptions is now enabled but shouldn't because it is read only (should be set only by machines). In 5.22 it was still
disabled always.

#26 - 05/12/2021 05:46 PM - Andreas Miiller

| think we should reenable the "delete" menu item as it should always be possible to remove computed data again. Maybe in future there are cases
where this is not wanted but for the current cases (distribution and description aggregation) | think it should be possible.

#27 - 05/17/2021 01:45 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#28 - 05/18/2021 09:04 AM - Katja Luther

Andreas Muller wrote:

The description itself is not yet disabled in details view (but it is in suppl data view). This needs to be fixed.
| mentioned this in #note-22
#29 - 05/18/2021 10:09 AM - Katja Luther
Andreas Miller wrote:
| think we should reenable the "delete" menu item as it should always be possible to remove computed data again. Maybe in future there are

cases where this is not wanted but for the current cases (distribution and description aggregation) | think it should be possible.

Delete is enabled again.
#30 - 05/18/2021 12:02 PM - Katja Luther
Andreas Miller wrote:
The "Types" field for ordinary descriptions is now enabled but shouldn't because it is read only (should be set only by machines). In 5.22 it was

still disabled always.

this should be fixed again

#31 - 05/18/2021 12:15 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote:

The description itself is not yet disabled in details view (but it is in suppl data view). This needs to be fixed.

this is fixed as well.

#32 - 05/19/2021 12:59 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 60

The UUID and ID fields can not be copied anymore. In general it might be a good idea not to fully disable fields but make them write-protected
instead, similar to what we do usually in fields like UUID and ID. This allows copying information even if it is write protected which is often helpful.
Another issue is that sections can be opened now. E.g. if there is an annotation | can't see it's content as | can't open the section. This is also better if
fields are only write protected.

But this is probably more complicated so we should move it to another ticket.

Also the configurability (see comment 9) should be moved to another ticket if it can't be implemented now.

#33 - 05/19/2021 01:06 PM - Andreas Miiller

Another issue is that sections can be opened now. E.g. if there is an annotation | can't see it's content as | can't open the section. This is also
better if fields are only write protected.

Generally we may think about another implementation. | think about a solution which passes an "enabled" or "editingStatus" parameter with setinput()
to ALL editors. (Alternatively we could also add it to createControl(?) but this in future should only run once per application and form so in future
setlnput() is the better place | guess).

This way we have a very generic way to disable writing as when ever we set the input to any control we also set the value if it should be write
protected or not. This differs from the current code which needs a lot of case distictions etc.
Can you put this also to the new ticket?

#34 - 05/19/2021 01:06 PM - Andreas Miiller

This ticket can be closed once the new 2 tickets are created.

#35 - 05/19/2021 01:26 PM - Katja Luther
- Related to bug #9631: New implementation for disable details/supplemental data views added

#36 - 05/19/2021 01:26 PM - Katja Luther
- Related to bug #9630: Make the handling of computed description configurable added

#37 - 05/19/2021 01:27 PM - Katja Luther
- Status changed from Feedback to Closed

New tickets created.
